<?php if (!defined('APPLICATION')) exit();
/**
 * @copyright Copyright 2008, 2009 Vanilla Forums Inc.
 * @license http://www.opensource.org/licenses/gpl-2.0.php GPLv2
 * @author Charles Hopper <mrtankjump@gmail.com>
 */

// Define the plugin:
$PluginInfo['minecraftatar'] = array(
   'Name' => 'Minecraftatar',
   'Description' => "Makes default avatar the face of your Minecraft skin. Requires user name matches Minecraft name. Uses minotar.net for avatar generation.",
   'Version' => '1.0.1',
   'RequiredApplications' => array('Vanilla' => '2.0.18'),
   'Author' => 'Charles Hopper',
   'AuthorEmail' => 'mrtankjump@gmail.com',
   'AuthorUrl' => 'http://www.vanillaforums.org/profile/mrtankjump',
   'MobileFriendly' => TRUE,
);

class VanilliconPlugin extends Gdn_Plugin {
   public function ProfileController_AfterAddSideMenu_Handler($Sender, $Args) {
      if (!$Sender->User->Photo) {
         $UserName = GetValue('Name', $Sender->User);
         $Sender->User->Photo = 'http://minotar.net/helm/'.$UserName;
      }
   }
}

if (!function_exists('UserPhotoDefaultUrl')) {
   function UserPhotoDefaultUrl($User, $Options = array()) {
      $UserName = GetValue('Name', $User);
      $PhotoUrl = 'http://minotar.net/helm/'.$UserName;
      return $PhotoUrl;
   }
}